## luksipc 0.04

=== Makefile ===
.PHONY: all clean test valgrind

EXECUTABLE := luksipc
CC := gcc
CFLAGS := -Wall -Wextra -Wshadow -Wpointer-arith -Wcast-qual -Wstrict-prototypes -Wmissing-prototypes -std=c11 -O2 -D_LARGEFILE64_SOURCE -D_XOPEN_SOURCE=500
#CFLAGS += -DDEVELOPMENT -g

LDFLAGS :=

OBJS := luksipc.o luks.o exec.o chunk.o parameters.o keyfile.o logging.o shutdown.o utils.o mount.o exit.o random.o

all: $(EXECUTABLE)

clean:
	rm -f $(OBJS) $(EXECUTABLE) initial_keyfile.bin

test: all
	./luksipc

valgrind: all
	valgrind --leak-check=yes ./luksipc

luksipc: $(OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $(@) $(OBJS)

.c.o:
	$(CC) $(CFLAGS) -c -o $@ $<

=== tests/prng/Makefile ===
.PHONY: all clean

CC := gcc
CFLAGS := -Wall -Wextra -Wshadow -Wpointer-arith -Wcast-qual -Wstrict-prototypes -Wmissing-prototypes -std=c11 -Wall -O3

LDFLAGS :=

OBJS := prng_crc64.o

all: prng_crc64

clean:
	rm -f $(OBJS) prng_crc64

test: all
	./prng_crc64 123456789

valgrind: all
	valgrind --leak-check=yes ./prng_crc64

prng_crc64: $(OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $(@) $(OBJS)

.c.o:
	$(CC) $(CFLAGS) -c -o $@ $<

=== debian/changelog ===
luksipc (0.04-2) unstable; urgency=medium

  * d/control: only build for Linux.
  * d/patches: add a patch to ensure 64-bit file offsets. Closes: #821745.

 -- Vincent Bernat <bernat@debian.org>  Tue, 19 Apr 2016 08:16:40 +0200

luksipc (0.04-1) unstable; urgency=medium

  * Initial release. Closes: #821035.

 -- Vincent Bernat <bernat@debian.org>  Fri, 15 Apr 2016 19:59:03 +0200

=== debian/control ===
Source: luksipc
Section: admin
Priority: optional
Maintainer: Vincent Bernat <bernat@debian.org>
Standards-Version: 3.9.7
Build-Depends: debhelper (>= 9)
Homepage: http://johannes-bauer.com/linux/luksipc/
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/luksipc.git
Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/luksipc.git

Package: luksipc
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends},
         cryptsetup, dmsetup
Description: LUKS in-place conversion tool
 luksipc is a tool to convert (unencrypted) block devices to
 (encrypted) LUKS devices in-place (therefore it's name LUKS in-place
 conversion). This means the conversion is performed without the need
 of copying all data somewhere, recreating the whole disk (i.e. create
 a LUKS device, create a new filesystem on the mapped LUKS device, copy
 all data back). Instead, the process is reduced to:
 .
  1. Unmounting the filesystem
  2. Resizing the filesystem to shrink about 10 megabytes (2048 kB is
     the current LUKS header size -- but do not trust this value, it
     has changed in the past!)
  3. Performing luksipc
  4. Adding custom keys to the LUKS keyring

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
	# Tests can only be run as root

=== debian/watch ===
version=3
http://johannes-bauer.com/linux/luksipc luksipc-([\d.]+)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))
